package ovh.herisson.thevoidroad.Commands;

import org.bukkit.Location;
import org.bukkit.WorldBorder;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class VoidCommands implements CommandExecutor{

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {

		//balance
		if(args.length == 0){
			if(sender instanceof Player ply){
				// long voids = ply.getPersistentDataContainer().has(TheVoidRoad.voids) ? ply.getPersistentDataContainer().get(TheVoidRoad.voids, PersistentDataType.LONG) : 0;
				// ply.sendMessage(Component.text("Vous avez : ").append(Component.text(voids).color(NamedTextColor.GREEN).append(Component.text(TheVoidRoad.CoinGlyph))));
				return true;
			}
			return false;
		}

		//Args
		switch (args[0].toLowerCase()) {
			case "event":
			case "give":
				sender.sendMessage("TODO");
				return true;
			case "manage": 
				if(sender.hasPermission("TheVoidRoad.manage"))
					return manage(sender, args);
				else
				sender.sendMessage("You don't have the permissions to do that!");
		}
		return false;
    }

	// Manage sub command
    private boolean manage(CommandSender sender, String[] args) {
		switch(args[1]){
			case "balance":
				switch (args[2]) {
					case "set": 
						// Player ply = Bukkit.getServer().getPlayer(args[3]);
						// ply.getPersistentDataContainer().set(TheVoidRoad.voids, PersistentDataType.LONG, Long.parseLong(args[4]));
						return true;
				}
			case "setspawn":
				if(sender instanceof Player ply){
					Location loc = ply.getLocation();
					WorldBorder border = ply.getWorld().getWorldBorder();
					
					ply.getWorld().setSpawnLocation(loc);
					border.setCenter(loc);
					border.setSize(750);
				return true;
				}
				break;
			case "init":
				break;
		}
		return false;
    }
}

