package ovh.herisson.thevoidroad;

import java.io.File;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

import org.bukkit.Bukkit;

public class DatabaseManager {

	private static DatabaseManager instance;

	public static DatabaseManager getInstance(){
		if (instance != null) return instance;
		try { instance = new DatabaseManager();}
	   	catch(SQLException e){ Bukkit.getLogger().warning("Could not Initiate database : " + e); }
		return instance;
	}

	private Connection con;

	private DatabaseManager() throws SQLException{
		new File("plugins/TheVoidRoad").mkdirs();
		con = DriverManager.getConnection("jdbc:sqlite:plugins/TheVoidRoad/voids.db");
		InitTables();
	}

	private void InitTables() throws SQLException{
		String query = "CREATE TABLE IF NOT EXISTS voids (\n"
			+ "id integer PRIMARY KEY,\n"
			+ "uuid text NOT NULL,\n"
			+ "ammount INTEGER DEFAULT 0)";

			Statement st = con.createStatement();
			st.execute(query);
	}
}
